Bug 908293 - F18: new kernel doesn't appear on grub-efi menu after update (grubby fatal error: unable to find a suitable template)
F18: new kernel doesn't appear on grub-efi menu after update (grubby fatal er...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 06:04 EST by Mildred
Modified: 2014-02-05 13:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:55:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
grub2-efi.cfg that failed to update correctly (5.82 KB, application/octet-stream)
2013-02-06 06:04 EST, Mildred
no flags Details

  None (edit)
Description Mildred 2013-02-06 06:04:05 EST
Created attachment 693873 [details]
grub2-efi.cfg that failed to update correctly

Description of problem:
On a clean install (Fedora-18 x86_64 installed yesterday from Live Desktop), I can't update the kernel andboot on it. When i update ther kernel, yum says

    grubby fatal error: unable to find a suitable template

If I look in /etc/grub2-efi.cfg, the new kernel doesn't appear.
Note: the symlink /etc/grub2.cfg is broken, but this is probably normal since I am on an EFI system (recent computer).

/etc/grub2-efi.cfg is the result of grub2-mkconfig, and contains some complex configuration, including a submenu for the previous kernel with advenced options. I wonder if this is too complex for grubby.



Version-Release number of selected component (if applicable): grubby-8.22-1

How reproducible: always

Steps to Reproduce:
1. install F18 on efi system
2. yum update grubby
3. yum update kernel
  
Actual results: The kernel 3.7.5-201 is not present in /etc/grub2-efi.cfg
Expected results: The kernel is present
Comment 1 Fedora End Of Life 2013-12-21 06:11:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 13:55:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.